<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TPreEmpOtherFileMapper">

  <resultMap id="tPreEmpOtherFileMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TPreEmpOtherFile">
    <id property="id" column="ID"/>
    <result property="preMainId" column="PRE_MAIN_ID"/>
    <result property="empId" column="EMP_ID"/>
    <result property="attaName" column="ATTA_NAME"/>
    <result property="oldId" column="OLD_ID"/>
    <result property="createTime" column="CREATE_TIME"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.PRE_MAIN_ID,
                a.EMP_ID,
                a.ATTA_NAME,
                a.OLD_ID,
                a.CREATE_TIME
    </sql>

	<!--其他附件主表-->
	<select id="getOtherFileList" resultMap="tPreEmpOtherFileMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM t_pre_emp_other_file a
		where PRE_MAIN_ID = #{preMainId}
		order by a.CREATE_TIME asc
	</select>

	<delete id="deleteOtherFileByMainId">
		delete from t_pre_emp_other_file where PRE_MAIN_ID = #{preMainId}
	</delete>
</mapper>
